package gov.va.shared.persistence;

import org.springframework.beans.factory.annotation.Autowired;

import gov.va.shared.AbstractTransactionalCoreDAOTest;
import gov.va.shared.model.lookup.sds.Gender;
import gov.va.shared.persistence.lookup.sds.GenderDAO;

public class TestGenderDAO extends AbstractTransactionalCoreDAOTest<Gender> {

	@Autowired
	private GenderDAO genderDAO;

	@Override
	protected AppSortedDAO<Gender> getDAO() {
		return genderDAO;
	}

	@Override
	protected Gender getInstanceToSave() {
		return null;
	}

	@Override
	protected boolean testDelete() {
		return false;
	}

}
